### Function

# Gtk CellLayoutDataFunc

#### Declaration

    void
    CellLayoutDataFunc (
      GtkCellLayout* cell_layout,
      GtkCellRenderer* cell,
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      gpointer data
    )

#### Description [src]

A function which should set the value of `cell_layout`’s cell renderer(s) as appropriate.

#### Parameters

`cell_layout` | `GtkCellLayout`
| A `GtkCellLayout`.
| The data is owned by the caller of the function.
`cell` | `GtkCellRenderer`
| The cell renderer whose value is to be set.
| The data is owned by the caller of the function.
`tree_model` | `GtkTreeModel`
| The model.
| The data is owned by the caller of the function.
`iter` | `GtkTreeIter`
| A `GtkTreeIter` indicating the row to set the value for.
| The data is owned by the caller of the function.
`data` | `gpointer`
| User data passed to gtk_cell_layout_set_cell_data_func().